Get Project Skill

Retrieve project-scoped skill metadata and active revision summary.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

skill_idstringRequiredformat: "uuid"
The skill ID
org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID

Response

Project skill details
idstringformat: "uuid"
slugstring
display_namestring
descriptionstring or null
licensestring or null
compatibilitystring or null
sourceobject
tagslist of strings
has_active_revisionboolean
has_capabilitiesboolean
requires_prerequisitesboolean
active_revisionobject or null
createdstring
modifiedstring
project_idstringformat: "uuid"
created_by_user_idstring or nullformat: "uuid"

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error